{% extends 'base.html.twig' %}

{% block title %}Liste Semestre {% endblock %}

{% block body %}

    {% for message in app.flashes('info') %}
        <div class="alert alert-success">{{ message }}</div>
    {% endfor %}

    <td>
        <a>
            <button class="btn btn-success btn_new_semestre" url="{{ path('semestre_ajout') }}"><span
                        class="glyphicon glyphicon-plus"> Ajouter</span></button>
        </a>
    </td>
    <div class="box">
        <div class="box-header">
            <h3 class="box-title">Liste des Semestres </h3>
        </div>
        <!-- /.box-header -->
        <div class="box-body">
            <table id="" class="table table-bordered table-striped">
                <thead>
                <tr>

                    <th>Nom Semestre en Arabe:</th>
                    <th>Nom Semestre en Français:</th>
                    <th>Action</th>
                </tr>
                </thead>
                <tbody>
                {% for semestre in semestres %}
                    <tr>

                        <td>{{ semestre.libelleSemestreAr }}</td>
                        <td>{{ semestre.libelleSemestreFr }}</td>
                        <td>
                            <ul class="list_act_ens">
                                <li>
                                    <a>
                                        <button class="btn btn-primary btn_info_semestre"
                                                url="{{ path('semestre_show', {'id': semestre.id}) }}"><span
                                                    class="glyphicon glyphicon-info-sign"></span></button>
                                    </a>
                                </li>
                                <li>
                                    <a>
                                        <button class="btn btn-success btn_edit_semestre"
                                                url="{{ path('semestre_edit', {'id': semestre.id}) }}"><span
                                                    class="glyphicon glyphicon-pencil"></span>
                                        </button>
                                    </a>
                                </li>

                                <li>  {{ include('semestre/_delete_form.html.twig') }} </li>
                            </ul>
                        </td>
                    </tr>

                {% else %}
                    <tr>
                        <td colspan="4">Pas d'enregistrement</td>
                    </tr>
                {% endfor %}
                </tbody>
            </table>


            <div class="modal fade" id="modalSemestre" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
                 aria-hidden="true">
                <div class="modal-dialog" role="document">
                    <div class="modal-content">
                        <div class="modal-header text-center">
                            <h4 class="modal-title w-100 font-weight-bold titre_modal_semestre"></h4>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            <div class="text-center">
                                <img src="{{ asset('images/loading.svg') }}" class="load_modal_body">
                            </div>
                            <div class="content_modal_body">
                            </div>
                        </div>
                        <div class="modal-footer">

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

{% endblock %}
{% block mesJavascripts %}

    <script>
        $('body').on('click', '.btn_new_semestre', function (event) {
            $('#modalSemestre').modal('show');
            $('.content_modal_body').html('');
            $('.load_modal_body').show();
            $('.titre_modal_semestre').html('Ajouter nouvelle semestre');
            $('.modal-footer').html('<button type="button" class="btn btn-danger pull-right" data-dismiss="modal">Fermer</button>');
            var url = $(this).attr('url');
            $.ajax({
                url: url,
                method: 'POST',
                success: function (result) {
                    $('.load_modal_body').hide();
                    $('.content_modal_body').html(result);
                }
            });
        });
        $('body').on('click', '.btn_edit_semestre', function (event) {
            $('#modalSemestre').modal('show');
            $('.content_modal_body').html('');
            $('.modal-footer').html('<button type="button" class="btn btn-danger pull-right" data-dismiss="modal">Fermer</button>');
            $('.load_modal_body').show();
            $('.titre_modal_semestre').html('Modifier semestre');
            var url = $(this).attr('url');
            $.ajax({
                url: url,
                method: 'POST',
                success: function (result) {
                    $('.load_modal_body').hide();
                    $('.content_modal_body').html(result);
                }
            });
        });
        $('body').on('click', '.btn_info_semestre', function (event) {
            $('#modalSemestre').modal('show');
            $('.content_modal_body').html('');
            $('.load_modal_body').show();
            $('.modal-footer').html('<button type="button" class="btn btn-danger pull-right" data-dismiss="modal">Fermer</button>');
            $('.titre_modal_semestre').html('Info semestre');
            var url = $(this).attr('url');
            $.ajax({
                url: url,
                method: 'GET',
                success: function (result) {
                    $('.load_modal_body').hide();
                    $('.content_modal_body').html(result);
                }
            });
        });
        $('body').on('click', '.btn_del_semestre', function (event) {
            var name_semestre = $(this).attr('name_semestre');
            var id_semestre = $(this).attr('id_semestre');
            $('#modalSemestre').modal('show');
            $('.content_modal_body').html('');

            $('.titre_modal_semestre').html('Supprimer semestre');

            $('.content_modal_body').html('Voulez-vous vraiment supprimer la semestre: <b>' + name_semestre + '</b>');
            $('.modal-footer').html('<button type="button" class="btn btn-warning pull-right" data-dismiss="modal">Annuler</button><button type="button" class="btn btn-danger pull-right confirm_delete_semestre" onclick="confirmer_delete_semestre(' + id_semestre + ')" data-dismiss="modal">Confirmer</button>');
        });

        function confirmer_delete_semestre(id_semestre) {
            $('#form_delete_semestre_' + id_semestre).submit();
        }

        $('body').on('click', '.save_semestre', function (event) {

            var form = $('#form_add_semestre');
            var formData = new FormData(document.getElementById("form_add_semestre"));

            $.ajax({
                type: 'POST',
                cache: false,
                data: formData,
                url: form.attr('action'),
                processData: false,
                contentType: false,

                beforeSend: function (XMLHttpRequest) {
                    $('#form_add_semestre').attr('disabled', true);
                },

                success: function (msg) {
                    if (msg == 'ok') {
                        $('#modalSemestre').modal('hide');
                        location.reload();
                    } else {
                        $('.content_modal_body').html(msg);
                        //alert('erreur');
                    }
                }
            });

        });
        $('body').on('click', '.edit_semestre', function (event) {

            var form = $('#form_add_semestre');
            var formData = new FormData(document.getElementById("form_add_semestre"));

            $.ajax({
                type: 'POST',
                cache: false,
                data: formData,
                url: form.attr('action'),
                processData: false,
                contentType: false,

                beforeSend: function (XMLHttpRequest) {
                    $('#form_add_semestre').attr('disabled', true);

                },

                success: function (msg) {
                    if (msg == 'ok') {
                        $('#modalSemestre').modal('hide');
                        location.reload();
                    } else {
                        $('.content_modal_body').html(msg);
                        //alert('erreur');
                    }
                }
            });

        });

        function supprimer_semestre(name_semestre) {
            $('#modalSemestre').modal('show');
            $('.content_modal_body').html('');

            $('.titre_modal_semestre').html('Supprimer semestre');

            $('.content_modal_body').html('Voulez-vous vraiment supprimer la semestre: ' + name_semestre);
            return false;
        }
    </script>


{% endblock %}